For the complete documentation index, see llms.txt. This page is also available as Markdown.

Inbox Ai Chat Functions

Generates an AI-based summary of the conversation

get

Required Permission: chatbots.inbox.openai.summary

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

conversationIdstringRequired

The ID of the conversation.

Responses
200

The generated summary.

application/json
summarystringRequired

The generated summary of the conversation.

Example: The customer is asking about the status of their order #12345.
errorstringOptional

Optional error message.

get/v1/inbox/{chatbotId}/conversations/{conversationId}/summary
GET /v1/inbox/{chatbotId}/conversations/{conversationId}/summary HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "summary": "The customer is asking about the status of their order #12345.",
  "error": "text"
}

Generates a text completion for an agent's response

get

Required Permission: chatbots.inbox.openai.completion

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

conversationIdstringRequired

The ID of the conversation.

Responses
200

The generated text completion.

application/json
completionstringRequired

The completed text suggestion.

Example: ...and I wish you a nice day.
errorstringOptional

Optional error message.

get/v1/inbox/{chatbotId}/conversations/{conversationId}/completion
GET /v1/inbox/{chatbotId}/conversations/{conversationId}/completion HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "completion": "...and I wish you a nice day.",
  "error": "text"
}

Reformulates a given message using AI

post

Required Permission: chatbots.inbox.openai.formulation

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

conversationIdstringRequired

The ID of the conversation.

Body
messagestringRequired

The message to be reformulated.

Example: Can you help me?
Responses
201

The reformulated message.

application/json
formulationstringOptional

The reformulated text suggestion.

Example: Dear customer, how can I assist you?
post/v1/inbox/{chatbotId}/conversations/{conversationId}/formulation
POST /v1/inbox/{chatbotId}/conversations/{conversationId}/formulation HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "message": "Can you help me?"
}
{
  "formulation": "Dear customer, how can I assist you?"
}

Last updated